LegalStack

Подписание — подписи и печати

Файлы и снимки подписи.

Список факсимиле и печатей команды

GET
/api/v1/signatures/assets
АвторизацияBearer <токен>

В: header

Тело ответа

application/json

curl -X GET "https://loading/api/v1/signatures/assets"
[
  {
    "createdAt": "string",
    "id": "string",
    "type": "string",
    "userId": "string",
    "property1": null,
    "property2": null
  }
]

Загрузить факсимиле или печать

POST
/api/v1/signatures/assets
АвторизацияBearer <токен>

В: header

Тело запроса

multipart/form-data

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/signatures/assets" \  -F file="string" \  -F type="string" \  -F userId="string"
{
  "createdAt": "string",
  "id": "string",
  "type": "string",
  "userId": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Загрузить ассет команды (логотип, печать)

POST
/api/v1/signatures/assets/team
АвторизацияBearer <токен>

В: header

Тело запроса

multipart/form-data

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/signatures/assets/team" \  -F file="string" \  -F type="string"
{
  "createdAt": "string",
  "id": "string",
  "type": "string",
  "userId": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Список факсимиле и печатей пользователя

GET
/api/v1/signatures/assets/user/{userId}
АвторизацияBearer <токен>

В: header

Параметры пути

userId*string

Пользователь-владелец ассетов

Тело ответа

application/json

application/problem+json

curl -X GET "https://loading/api/v1/signatures/assets/user/string"
[
  {
    "createdAt": "string",
    "id": "string",
    "type": "string",
    "userId": "string",
    "property1": null,
    "property2": null
  }
]
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Удалить факсимиле/печать

DELETE
/api/v1/signatures/assets/{id}
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор ассета

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X DELETE "https://loading/api/v1/signatures/assets/string"
{
  "createdAt": "string",
  "id": "string",
  "type": "string",
  "userId": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Получить изображение факсимиле/печати

GET
/api/v1/signatures/assets/{id}/file
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор ассета

Тело ответа

image/png

application/problem+json

curl -X GET "https://loading/api/v1/signatures/assets/string/file"
"string"
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}